// Generated by CoffeeScript 1.6.3
/*
newheights.coffee v0.1
https://github.com/MichaelJCole/newheights

The MIT License (MIT)

Copyright (c) 2013 Michael Cole

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/


(function() {
  (function($, window) {
    return $.extend($.fn, {
      newHeights: function(refresh) {
        var selector, timer, _loopMaxHeight, _oneMaxHeight, _setMaxHeight;
        if (refresh == null) {
          refresh = 500;
        }
        selector = this;
        _setMaxHeight = function(selector) {
          var newMaxHeight;
          newMaxHeight = 0;
          if ($(selector).length < 2) {
            console.log(selector + ": newHeights selector has less than 2 elements - quitting");
            return;
          }
          $(selector).height("auto");
          $(selector).each(function(index, element) {
            return newMaxHeight = Math.max($(element).height(), newMaxHeight);
          });
          return $(selector).height(newMaxHeight);
        };
        timer = null;
        _loopMaxHeight = function(selector, refresh, oldwidth) {
          var width;
          width = $(document).width();
          if (width !== oldwidth) {
            _setMaxHeight(selector);
          }
          return timer = setTimeout((function() {
            return _loopMaxHeight(selector, refresh, width);
          }), refresh);
        };
        _oneMaxHeight = function(selector) {
          clearTimeout(timer);
          return timer = setTimeout((function() {
            return _setMaxHeight(selector);
          }), 100);
        };
        _setMaxHeight(selector);
        if (typeof refresh === "number") {
          _loopMaxHeight(selector, refresh);
        } else if (refresh === 'resize') {
          $(window).resize((function() {
            return _oneMaxHeight(selector);
          }));
        }
        return this;
      }
    });
  })(this.jQuery || this.Zepto, this);

}).call(this);
